### Function

# Fwupd Codec array_from_variant

#### Declaration [src]

    GPtrArray*
    fwupd_codec_array_from_variant (
      GVariant* value,
      GType gtype,
      GError** error
    )

#### Description [src]

Converts an array of objects, each deserialized from a `GVariant` value.

Available since: | 2.0.0

#### Parameters

`value` | `GVariant`
| A JSON node.
| The data is owned by the caller of the function.
`gtype` | `GType`
| A `GType` that implements `FwupdCodec`
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `GObject*`
| `TRUE` on success.
| The caller of the function takes ownership of the data container, but not the data inside it.